<%= form_for @changeset, @action, fn f -> %>
  <%= if @changeset.action do %>
    <div class="alert alert-danger">
      <p>Oops, something went wrong! Please check the errors below.</p>
    </div>
  <% end %>

  <%= label f, :name %>
  <%= text_input f, :name, class: "form-input" %>
  <%= error_tag f, :name %><br>

  <div>
    <%= submit "Save", class: "btn btn-success" %>
  </div>
<% end %>